Non, vous n'avez plus besoin d’un Flash Player.
Comme Flash n'est plus supporté, vous devez passer au lecteur HTML5.